import { UserLoginComponent } from './passport/login/login.component';
import { DateService } from '@business/services/util/date.service';
import { _HttpClient } from '@delon/theme';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { SharedModule } from '@shared/shared.module';
import { RouteRoutingModule } from './routes-routing.module';
import { environment } from '@env/environment';
// dashboard pages
import { DashboardV1Component } from './dashboard/v1/v1.component';
import { DashboardAnalysisComponent } from './dashboard/analysis/analysis.component';
import { DashboardMonitorComponent } from './dashboard/monitor/monitor.component';
import { DashboardWorkplaceComponent } from './dashboard/workplace/workplace.component';
import { ForecastingWarningComponent } from './forecasting-warning/forecasting-warning.component';
import { ReportComponent } from './report/report.component';
import { PollutionManagementComponent } from './pollution/management/management.component';
// import { MonitorpointComponent } from './statistics/monitorpoint/monitorpoint.component';
// import { CalendarComponent } from './statistics/calendar/calendar.component';
// import { AnalysisComponent } from './statistics/analysis/analysis.component';
import { EnvironmentManagementComponent } from './environment/management/management.component';

// Statics
import 'rxjs/add/observable/throw';

// Operators
import 'rxjs/add/operator/catch';
import 'rxjs/add/operator/debounceTime';
import 'rxjs/add/operator/distinctUntilChanged';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/switchMap';
import 'rxjs/add/operator/toPromise';
import 'rxjs/add/operator/filter';
import 'rxjs/add/operator/last';
import 'rxjs/add/operator/delay';

@NgModule({
    imports: [ SharedModule, RouteRoutingModule ],
    declarations: [
        DashboardV1Component,
        DashboardAnalysisComponent,
        DashboardMonitorComponent,
        DashboardWorkplaceComponent,
        UserLoginComponent,
        ReportComponent,
        ForecastingWarningComponent,
        PollutionManagementComponent,
        // MonitorpointComponent,
        // CalendarComponent,
        // AnalysisComponent,
        EnvironmentManagementComponent
    ],
    providers: [
        _HttpClient,
        DateService
    ]
})

export class RoutesModule {}
